> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tayho.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment and SDK capabilities



## OpenAPI

````yaml /public/reference/openapi.json get /v1/config
openapi: 3.1.0
info:
  description: >-
    Public Tayho API for indexed protocol state, live calculations, relayed
    actions, and automatic-order lifecycle.
  title: Tayho API
  version: 1.0.0
servers:
  - description: Development
    url: https://api.testnet.tayho.io
security: []
tags:
  - name: System
  - name: Markets
  - name: Positions
  - name: Traders
  - name: Orders
  - name: Intents
  - name: Actions
  - name: Portfolio
  - name: Vault
  - name: Staking
  - name: Trading
  - name: Realtime
paths:
  /v1/config:
    get:
      tags:
        - System
      summary: Get deployment and SDK capabilities
      operationId: getV1Config
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV1ConfigResponse'
          description: Response for status 200
        '401':
          $ref: '#/components/responses/Error401'
        '403':
          $ref: '#/components/responses/Error403'
        '404':
          $ref: '#/components/responses/Error404'
        '422':
          $ref: '#/components/responses/Error422'
        '429':
          $ref: '#/components/responses/Error429'
        '500':
          $ref: '#/components/responses/Error500'
        '502':
          $ref: '#/components/responses/Error502'
        '503':
          $ref: '#/components/responses/Error503'
        '504':
          $ref: '#/components/responses/Error504'
      security:
        - TayhoApiKey: []
components:
  schemas:
    GetV1ConfigResponse:
      additionalProperties: true
      properties:
        data:
          additionalProperties: true
          properties:
            deployment:
              additionalProperties: false
              properties:
                chainId:
                  pattern: ^[1-9][0-9]*$
                  type: string
                contracts:
                  patternProperties:
                    ^(.*)$:
                      pattern: ^0x[0-9a-fA-F]{40}$
                      type: string
                  type: object
                environment:
                  enum:
                    - development
                    - production
                  type: string
              required:
                - chainId
                - environment
                - contracts
              type: object
            sdk:
              additionalProperties: false
              properties:
                actionSimulation:
                  type: boolean
                apiVersion:
                  const: '1'
                  type: string
                configuredRpcReads:
                  type: boolean
                directBroadcast:
                  const: false
                  type: boolean
                minimumVersion:
                  type: string
                relayedActions:
                  items:
                    type: string
                  type: array
                tokenPermits:
                  additionalProperties: false
                  properties:
                    collateral:
                      items:
                        type: string
                      type: array
                    stakingToken:
                      items:
                        type: string
                      type: array
                  required:
                    - collateral
                    - stakingToken
                  type: object
                transactionSubmission:
                  const: relayer
                  type: string
              required:
                - apiVersion
                - minimumVersion
                - transactionSubmission
                - directBroadcast
                - actionSimulation
                - configuredRpcReads
                - relayedActions
                - tokenPermits
              type: object
          required:
            - deployment
            - sdk
          type: object
      required:
        - data
      type: object
    TayhoError:
      additionalProperties: true
      properties:
        code:
          type: string
        error:
          type: string
        requestId:
          pattern: ^[A-Za-z0-9._:-]{8,128}$
          type: string
      required:
        - error
      type: object
  responses:
    Error401:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: Missing or invalid API key.
    Error403:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The API key does not grant the required scope.
    Error404:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The requested resource does not exist.
    Error422:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: Request validation failed.
    Error429:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The applicable request quota was exceeded.
      headers:
        Retry-After:
          description: Seconds to wait before retrying.
          schema:
            minimum: 1
            type: integer
    Error500:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The request failed unexpectedly.
    Error502:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: A dependency returned an invalid or unsuccessful response.
    Error503:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: A required Tayho dependency is temporarily unavailable.
      headers:
        Retry-After:
          description: Seconds to wait before retrying.
          schema:
            minimum: 1
            type: integer
    Error504:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: A required Tayho dependency timed out.
  securitySchemes:
    TayhoApiKey:
      description: Tayho project API key with the scope declared by the operation.
      in: header
      name: X-API-Key
      type: apiKey

````